Bug 124615 - [NEW PORT] sysutils/avfs
Summary: [NEW PORT] sysutils/avfs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-15 14:50 UTC by Evgeny Zhirnov
Modified: 2008-06-22 21:40 UTC (History)
0 users

See Also:


Attachments
avfs.shar (4.47 KB, text/plain)
2008-06-15 14:50 UTC, Evgeny Zhirnov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeny Zhirnov 2008-06-15 14:50:02 UTC

    
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-06-15 15:05:55 UTC
Class Changed
From-To: sw-bug->change-request

Rescue this from the 'pending' category.  Note: there is another new 
port request for this in ports/124070; I cannot tell if this is 
supposed to be a followup to that one. 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-06-15 15:05:55 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs
Comment 3 Wesley Shields freebsd_committer 2008-06-16 20:17:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2008-06-17 15:00:10 UTC
This port fails to install correctly.  Below is a piece of the log
generated on a tinderbox.

====================<phase 7: make package>====================
===>  Building package for avfs-0.9.8
tar: bin/avfs-config: Cannot stat: No such file or directory
tar: include/virtual.h: Cannot stat: No such file or directory
tar: lib/libavfs.a: Cannot stat: No such file or directory
tar: lib/libavfs.la: Cannot stat: No such file or directory
tar: lib/libavfs.so: Cannot stat: No such file or directory
tar: lib/libavfs.so.0: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
Creating package /tmp/packages/All/avfs-0.9.8.tbz
Registering depends: fusefs-kmod-0.3.9.p1.20080208_1.
Creating bzip'd tar ball in '/tmp/packages/All/avfs-0.9.8.tbz'
*** Error code 1

Stop in /a/ports/sysutils/avfs.
================================================================
build of /usr/ports/sysutils/avfs ended at Tue Jun 17 01:37:22 UTC 2008

Removing those files from pkg-plist allows the port to build correctly,
but I'm not sure if this is right.  It seems to me like the stuff in lib
should be conditional based upon the selection of the LIBRARY option.
Can you please look into this and submit a new shar?

-- WXS
Comment 5 Wesley Shields freebsd_committer 2008-06-17 16:31:46 UTC
State Changed
From-To: open->feedback
Comment 6 Evgeny Zhirnov 2008-06-18 10:14:47 UTC
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body bgcolor="#ffffff" text="#000000">
<pre wrap="">Fix bugs:

====================&lt;phase 7: make package&gt;====================
===&gt;  Building package for avfs-0.9.8
tar: bin/avfs-config: Cannot stat: No such file or directory
tar: include/virtual.h: Cannot stat: No such file or directory
tar: lib/libavfs.a: Cannot stat: No such file or directory
tar: lib/libavfs.la: Cannot stat: No such file or directory
tar: lib/libavfs.so: Cannot stat: No such file or directory
tar: lib/libavfs.so.0: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
Creating package /tmp/packages/All/avfs-0.9.8.tbz
Registering depends: fusefs-kmod-0.3.9.p1.20080208_1.
Creating bzip'd tar ball in '/tmp/packages/All/avfs-0.9.8.tbz'
*** Error code 1


--- avfs.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	<i class="moz-txt-slash"><span class="moz-txt-tag">/</span>usr/ports/sysutils/avfs<span
 class="moz-txt-tag">/</span></i>
#	/usr/ports/sysutils/avfs/Makefile
#	/usr/ports/sysutils/avfs/distinfo
#	/usr/ports/sysutils/avfs/files
#	/usr/ports/sysutils/avfs/files/patch-configure
#	/usr/ports/sysutils/avfs/pkg-plist
#	/usr/ports/sysutils/avfs/pkg-descr
#
echo c - <i class="moz-txt-slash"><span class="moz-txt-tag">/</span>usr/ports/sysutils/avfs<span
 class="moz-txt-tag">/</span></i>
mkdir -p <i class="moz-txt-slash"><span class="moz-txt-tag">/</span>usr/ports/sysutils/avfs<span
 class="moz-txt-tag">/</span></i> &gt; /dev/null 2&gt;&amp;1
echo x - /usr/ports/sysutils/avfs/Makefile
sed 's/^X//' &gt;/usr/ports/sysutils/avfs/Makefile &lt;&lt; 'END-of-/usr/ports/sysutils/avfs/Makefile'
X# New ports collection makefile for: avfs
X# Date created: 2008-06-14
X# Whom: Evgeny Zhirnov <a class="moz-txt-link-rfc2396E"
 href="mailto:jirnov@gmail.com">&lt;jirnov@gmail.com&gt;</a>
X#
X# $FreeBSD$
X#
X
XPORTNAME= avfs
XPORTVERSION= 0.9.8
XPORTREVISION= 1
XCATEGORIES= sysutils
XMASTER_SITES= ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR= avf
X
XMAINTAINER= <a class="moz-txt-link-abbreviated"
 href="mailto:jirnov@gmail.com">jirnov@gmail.com</a>
XCOMMENT= A Virtual File System
X
XBUILD_DEPENDS= ${LOCALBASE}/include/fuse.h:${PORTSDIR}/sysutils/fusefs-libs \
X ${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
XRUN_DEPENDS= ${LOCALBASE}/modules/fuse.ko:${PORTSDIR}/sysutils/fusefs-kmod
X
XNO_INSTALL_MANPAGES= yes
X
XCONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include -L${LOCALBASE}/lib -liconv"
X
XGNU_CONFIGURE= yes
XUSE_GMAKE= yes
XUSE_BZIP2= yes
X
XOPTIONS= DEBUG "Enable debug" off \
X LIBRARY "Enable library" off \
X FUSE "Enable fuse" on
X
X.include &lt;bsd.port.pre.mk&gt;
X
X.if defined(WITH_DEBUG)
XCONFIGURE_ARGS+= --enable-debug
X.else
XCONFIGURE_ARGS+= --disable-debug
X.endif
X
X.if defined(WITH_LIBRARY)
XCONFIGURE_ARGS+= --enable-library
XPLIST_SUB+= LIBRARY=""
X.else
XCONFIGURE_ARGS+= --disable-library
XPLIST_SUB+= LIBRARY="@comment "
X.endif
X
X.if defined(WITH_FUSE)
XCONFIGURE_ARGS+= --enable-fuse
XPLIST_SUB+= FUSE=""
X.else
XCONFIGURE_ARGS+= --disable-fuse
XPLIST_SUB+= FUSE="@comment "
X.endif
X
X.if ${OSVERSION} &lt; 600000 # Inherited from fusefs-kmod
XIGNORE= requires FreeBSD 6.x or above
X.endif
X
X.include &lt;bsd.port.post.mk&gt;
END-of-/usr/ports/sysutils/avfs/Makefile
echo x - /usr/ports/sysutils/avfs/distinfo
sed 's/^X//' &gt;/usr/ports/sysutils/avfs/distinfo &lt;&lt; 'END-of-/usr/ports/sysutils/avfs/distinfo'
XMD5 (avfs-0.9.8.tar.bz2) = 5281b990251c8c3a15366ad40e4818db
XSHA256 (avfs-0.9.8.tar.bz2) = 5a45760889bdbe65a6ac11b926607681930746dff79924ad8418be1a8a10f5a7
XSIZE (avfs-0.9.8.tar.bz2) = 641756
END-of-/usr/ports/sysutils/avfs/distinfo
echo c - /usr/ports/sysutils/avfs/files
mkdir -p /usr/ports/sysutils/avfs/files &gt; /dev/null 2&gt;&amp;1
echo x - /usr/ports/sysutils/avfs/files/patch-configure
sed 's/^X//' &gt;/usr/ports/sysutils/avfs/files/patch-configure &lt;&lt; 'END-of-/usr/ports/sysutils/avfs/files/patch-configure'
X--- configure.orig 2007-05-31 23:54:21.000000000 +0400
X+++ configure 2008-06-14 02:58:12.000000000 +0400
X@@ -1,4 +1,4 @@
X-#! /bin/sh
X+#! /usr/local/bin/bash
X # Guess values for system-dependent variables and create Makefiles.
X # Generated by GNU Autoconf 2.60.
X #
END-of-/usr/ports/sysutils/avfs/files/patch-configure
echo x - /usr/ports/sysutils/avfs/pkg-plist
sed 's/^X//' &gt;/usr/ports/sysutils/avfs/pkg-plist &lt;&lt; 'END-of-/usr/ports/sysutils/avfs/pkg-plist'
X%%LIBRARY%%bin/avfs-config
X%%FUSE%%bin/avfsd
Xbin/davpass
Xbin/ftppass
X%%FUSE%%bin/mountavfs
X%%FUSE%%bin/umountavfs
Xinclude/avfs.h
X%%LIBRARY%%include/virtual.h
Xlib/avfs/extfs/README
Xlib/avfs/extfs/a
Xlib/avfs/extfs/apt
Xlib/avfs/extfs/audio
Xlib/avfs/extfs/bpp
Xlib/avfs/extfs/deb
Xlib/avfs/extfs/deba
Xlib/avfs/extfs/debd
Xlib/avfs/extfs/dpkg
Xlib/avfs/extfs/extfs.ini
Xlib/avfs/extfs/ftplist
Xlib/avfs/extfs/hp48
Xlib/avfs/extfs/iso9660
Xlib/avfs/extfs/lslR
Xlib/avfs/extfs/mailfs
Xlib/avfs/extfs/patchfs
Xlib/avfs/extfs/rpm
Xlib/avfs/extfs/rpms
Xlib/avfs/extfs/trpm
Xlib/avfs/extfs/u7z
Xlib/avfs/extfs/uar
Xlib/avfs/extfs/uarj
Xlib/avfs/extfs/ucpio
Xlib/avfs/extfs/uha
Xlib/avfs/extfs/ulha
Xlib/avfs/extfs/urar
Xlib/avfs/extfs/uzip
Xlib/avfs/extfs/uzoo
X%%LIBRARY%%lib/libavfs.a
X%%LIBRARY%%lib/libavfs.la
X%%LIBRARY%%lib/libavfs.so
X%%LIBRARY%%lib/libavfs.so.0
X@dirrm lib/avfs/extfs
X@dirrm lib/avfs
END-of-/usr/ports/sysutils/avfs/pkg-plist
echo x - /usr/ports/sysutils/avfs/pkg-descr
sed 's/^X//' &gt;/usr/ports/sysutils/avfs/pkg-descr &lt;&lt; 'END-of-/usr/ports/sysutils/avfs/pkg-descr'
XAVFS is a system, which enables all programs to look inside gzip, tar,
Xzip, etc. files or view remote (ftp, http, dav, etc.) files, without
Xrecompiling the programs.
END-of-/usr/ports/sysutils/avfs/pkg-descr
exit
--- avfs.shar ends here ---
</pre>
</body>
</html>
Comment 7 Evgeny Zhirnov 2008-06-18 15:46:41 UTC
I'm sorry for previous post.

--- avfs.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/sysutils/avfs/
#	/usr/ports/sysutils/avfs/Makefile
#	/usr/ports/sysutils/avfs/distinfo
#	/usr/ports/sysutils/avfs/files
#	/usr/ports/sysutils/avfs/files/patch-configure
#	/usr/ports/sysutils/avfs/pkg-plist
#	/usr/ports/sysutils/avfs/pkg-descr
#
echo c - /usr/ports/sysutils/avfs/
mkdir -p /usr/ports/sysutils/avfs/ > /dev/null 2>&1
echo x - /usr/ports/sysutils/avfs/Makefile
sed 's/^X//' >/usr/ports/sysutils/avfs/Makefile << 'END-of-/usr/ports/sysutils/avfs/Makefile'
X# New ports collection makefile for: avfs
X# Date created: 2008-06-14
X# Whom: Evgeny Zhirnov <jirnov@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME= avfs
XPORTVERSION= 0.9.8
XPORTREVISION= 1
XCATEGORIES= sysutils
XMASTER_SITES= ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR= avf
X
XMAINTAINER= jirnov@gmail.com
XCOMMENT= A Virtual File System
X
XBUILD_DEPENDS= ${LOCALBASE}/include/fuse.h:${PORTSDIR}/sysutils/fusefs-libs \
X ${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
XRUN_DEPENDS= ${LOCALBASE}/modules/fuse.ko:${PORTSDIR}/sysutils/fusefs-kmod
X
XNO_INSTALL_MANPAGES= yes
X
XCONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include -L${LOCALBASE}/lib -liconv"
X
XGNU_CONFIGURE= yes
XUSE_GMAKE= yes
XUSE_BZIP2= yes
X
XOPTIONS= DEBUG "Enable debug" off \
X LIBRARY "Enable library" off \
X FUSE "Enable fuse" on
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_DEBUG)
XCONFIGURE_ARGS+= --enable-debug
X.else
XCONFIGURE_ARGS+= --disable-debug
X.endif
X
X.if defined(WITH_LIBRARY)
XCONFIGURE_ARGS+= --enable-library
XPLIST_SUB+= LIBRARY=""
X.else
XCONFIGURE_ARGS+= --disable-library
XPLIST_SUB+= LIBRARY="@comment "
X.endif
X
X.if defined(WITH_FUSE)
XCONFIGURE_ARGS+= --enable-fuse
XPLIST_SUB+= FUSE=""
X.else
XCONFIGURE_ARGS+= --disable-fuse
XPLIST_SUB+= FUSE="@comment "
X.endif
X
X.if ${OSVERSION} < 600000 # Inherited from fusefs-kmod
XIGNORE= requires FreeBSD 6.x or above
X.endif
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/sysutils/avfs/Makefile
echo x - /usr/ports/sysutils/avfs/distinfo
sed 's/^X//' >/usr/ports/sysutils/avfs/distinfo << 'END-of-/usr/ports/sysutils/avfs/distinfo'
XMD5 (avfs-0.9.8.tar.bz2) = 5281b990251c8c3a15366ad40e4818db
XSHA256 (avfs-0.9.8.tar.bz2) = 5a45760889bdbe65a6ac11b926607681930746dff79924ad8418be1a8a10f5a7
XSIZE (avfs-0.9.8.tar.bz2) = 641756
END-of-/usr/ports/sysutils/avfs/distinfo
echo c - /usr/ports/sysutils/avfs/files
mkdir -p /usr/ports/sysutils/avfs/files > /dev/null 2>&1
echo x - /usr/ports/sysutils/avfs/files/patch-configure
sed 's/^X//' >/usr/ports/sysutils/avfs/files/patch-configure << 'END-of-/usr/ports/sysutils/avfs/files/patch-configure'
X--- configure.orig 2007-05-31 23:54:21.000000000 +0400
X+++ configure 2008-06-14 02:58:12.000000000 +0400
X@@ -1,4 +1,4 @@
X-#! /bin/sh
X+#! /usr/local/bin/bash
X # Guess values for system-dependent variables and create Makefiles.
X # Generated by GNU Autoconf 2.60.
X #
END-of-/usr/ports/sysutils/avfs/files/patch-configure
echo x - /usr/ports/sysutils/avfs/pkg-plist
sed 's/^X//' >/usr/ports/sysutils/avfs/pkg-plist << 'END-of-/usr/ports/sysutils/avfs/pkg-plist'
X%%LIBRARY%%bin/avfs-config
X%%FUSE%%bin/avfsd
Xbin/davpass
Xbin/ftppass
X%%FUSE%%bin/mountavfs
X%%FUSE%%bin/umountavfs
Xinclude/avfs.h
X%%LIBRARY%%include/virtual.h
Xlib/avfs/extfs/README
Xlib/avfs/extfs/a
Xlib/avfs/extfs/apt
Xlib/avfs/extfs/audio
Xlib/avfs/extfs/bpp
Xlib/avfs/extfs/deb
Xlib/avfs/extfs/deba
Xlib/avfs/extfs/debd
Xlib/avfs/extfs/dpkg
Xlib/avfs/extfs/extfs.ini
Xlib/avfs/extfs/ftplist
Xlib/avfs/extfs/hp48
Xlib/avfs/extfs/iso9660
Xlib/avfs/extfs/lslR
Xlib/avfs/extfs/mailfs
Xlib/avfs/extfs/patchfs
Xlib/avfs/extfs/rpm
Xlib/avfs/extfs/rpms
Xlib/avfs/extfs/trpm
Xlib/avfs/extfs/u7z
Xlib/avfs/extfs/uar
Xlib/avfs/extfs/uarj
Xlib/avfs/extfs/ucpio
Xlib/avfs/extfs/uha
Xlib/avfs/extfs/ulha
Xlib/avfs/extfs/urar
Xlib/avfs/extfs/uzip
Xlib/avfs/extfs/uzoo
X%%LIBRARY%%lib/libavfs.a
X%%LIBRARY%%lib/libavfs.la
X%%LIBRARY%%lib/libavfs.so
X%%LIBRARY%%lib/libavfs.so.0
X@dirrm lib/avfs/extfs
X@dirrm lib/avfs
END-of-/usr/ports/sysutils/avfs/pkg-plist
echo x - /usr/ports/sysutils/avfs/pkg-descr
sed 's/^X//' >/usr/ports/sysutils/avfs/pkg-descr << 'END-of-/usr/ports/sysutils/avfs/pkg-descr'
XAVFS is a system, which enables all programs to look inside gzip, tar,
Xzip, etc. files or view remote (ftp, http, dav, etc.) files, without
Xrecompiling the programs.
END-of-/usr/ports/sysutils/avfs/pkg-descr
exit
--- avfs.shar ends here ---
Comment 8 dfilter service freebsd_committer 2008-06-22 21:30:28 UTC
wxs         2008-06-22 20:30:22 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/avfs        Makefile distinfo pkg-descr pkg-plist 
    sysutils/avfs/files  patch-configure 
  Log:
  New port: avfs
  
  AVFS is a system, which enables all programs to look inside gzip, tar,
  zip, etc. files or view remote (ftp, http, dav, etc.) files, without
  recompiling the programs.
  
  WWW: http://avf.sourceforge.net/
  
  PR:             ports/124615
  Submitted by:   Evgeny Zhirnov <jirnov@gmail.com>
  
  Revision  Changes    Path
  1.1023    +1 -0      ports/sysutils/Makefile
  1.1       +62 -0     ports/sysutils/avfs/Makefile (new)
  1.1       +3 -0      ports/sysutils/avfs/distinfo (new)
  1.1       +8 -0      ports/sysutils/avfs/files/patch-configure (new)
  1.1       +5 -0      ports/sysutils/avfs/pkg-descr (new)
  1.1       +42 -0     ports/sysutils/avfs/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Wesley Shields freebsd_committer 2008-06-22 21:30:41 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!